Package web2py :: Package gluon :: Module html :: Class XHTML

[hide private]
[frames] | no frames]

# Class XHTML

source code

      object --+
               |
    XmlComponent --+
                   |
                 DIV --+
                       |
                      XHTML

This is XHTML version of the HTML helper.

There are three predefined document type definitions. They can be specified in the 'doctype' parameter:

-'strict' enables strict doctype -'transitional' enables transitional doctype (default) -'frameset' enables frameset doctype -any other string will be treated as user's own doctype

'lang' parameter specifies the language of the document and the xml document. Defaults to 'en'.

'xmlns' parameter specifies the xml namespace. Defaults to 'http://www.w3.org/1999/xhtml'.

See also :class:`DIV`

Instance Methods | [hide private]

xml(self) generates the xml for this component. | source code

Inherited from `DIV`: `__delitem__`, `__getitem__`, `__init__`, `__len__`, `__nonzero__`, `__setitem__`, `__str__`, `append`, `element`, `elements`, `flatten`, `insert`, `sibling`, `siblings`, `update`

Inherited from `DIV` (private): `_fixup`, `_postprocessing`, `_setnode`, `_traverse`, `_validate`, `_wrap_components`, `_xml`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`

Class Variables | [hide private]

| tag = ``'``html``'``
| strict = ``'``<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict/``...``
| transitional = ``'``<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 T``...``
| frameset = ``'``<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frame``...``
| xmlns = ``'``http://www.w3.org/1999/xhtml``'``
Inherited from `DIV`: `regex_attr`, `regex_class`, `regex_id`, `regex_tag`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### xml(self)

source code

generates the xml for this component.

Overrides: DIV.xml
  (inherited documentation)

Class Variable Details | [hide private]

### strict

Value:

      '''<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://ww
      w.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
      '''

### transitional

Value:

      '''<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "htt
      p://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
      '''

### frameset

Value:

      '''<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://
      www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
      '''